Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 894570 - (Horde_Editor) Review Request: php-horde-Horde-Editor - Horde Editor API
Review Request: php-horde-Horde-Editor - Horde Editor API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: Horde_Exception Horde_Browser Horde_Serialize 873408
Blocks: Horde_Core
  Show dependency treegraph
 
Reported: 2013-01-12 04:05 EST by Remi Collet
Modified: 2013-03-09 14:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 02:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-horde-Horde-Editor-review.txt (7.22 KB, text/plain)
2013-02-04 15:06 EST, Shawn Iwinski
no flags Details
phpci.log (8.08 KB, text/x-log)
2013-02-04 15:07 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-01-12 04:05:05 EST
Spec URL: https://raw.github.com/remicollet/remirepo/bc4bc2649ebe72a42b01fed7e5df16fad8fba7a1/php/horde/php-horde-Horde-Editor/php-horde-Horde-Editor.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Editor-2.0.1-1.remi.src.rpm
Description: 
The Horde_Editor package provides an API to generate the code necessary for
embedding javascript RTE editors in a web page.

Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2013-02-04 15:06:37 EST
Created attachment 692994 [details]
php-horde-Horde-Editor-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 894570 --mock-config fedora-rawhide-x86_64
Comment 3 Shawn Iwinski 2013-02-04 15:07:09 EST
Created attachment 692995 [details]
phpci.log
Comment 4 Shawn Iwinski 2013-02-04 15:10:16 EST
One question before approval: How does the library itself (or the library user) know about the un-bundled library?
Comment 5 Remi Collet 2013-02-05 02:48:19 EST
The user of this library will have to define a web alias.

AS the alias order is really important, all the needed alias will be defined in the main horde httpd configuration file (php-horde-horde is the main "framework" package for all the horde applications)

   # Link to system Javascript Libraries
   Alias /horde/js/scriptaculous     /usr/share/scriptaculous
   Alias /horde/js/prototype.js      /usr/share/prototype/prototype.js
   Alias /horde/js/ckeditor          /usr/share/ckeditor
   Alias /horde/js/syntaxhighlighter /usr/share/syntaxhighlighter

   # Link to horde
   Alias /horde                      /usr/share/horde


I agree, this is a bit ugly, but I really want to avoid "symlinks" solution which is even more ugly (and raise lot of update issue)
Comment 6 Shawn Iwinski 2013-02-05 06:12:48 EST
Thanks for the explanation Remi.


No blockers.


===== APPROVED =====
Comment 7 Remi Collet 2013-02-05 06:26:30 EST
Thanks for the review


New Package SCM Request
=======================
Package Name: php-horde-Horde-Editor
Short Description: Horde Editor API
Owners: remi nb
Branches: f18 el8
InitialCC:
Comment 8 Gwyn Ciesla 2013-02-05 08:51:45 EST
Git done (by process-git-requests).

Corrected branch el8 to el6.
Comment 9 Remi Collet 2013-02-05 11:38:06 EST
I will differ the import, as Horde_Serialize not yet approved
Comment 10 Fedora Update System 2013-02-16 05:06:34 EST
php-horde-Horde-Editor-2.0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-horde-Horde-Editor-2.0.3-2.fc18
Comment 11 Fedora Update System 2013-02-16 05:19:45 EST
php-horde-Horde-Editor-2.0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Editor-2.0.3-2.el6
Comment 12 Fedora Update System 2013-02-16 22:33:48 EST
php-horde-Horde-Editor-2.0.3-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 13 Fedora Update System 2013-02-28 02:06:17 EST
php-horde-Horde-Editor-2.0.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2013-03-09 14:22:25 EST
php-horde-Horde-Editor-2.0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.